## wxFontPickerEvent

This event class is used for the events generated by wxFontPickerCtrl.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/fontpicker.h>

Event handling

To process input from a wxFontPickerCtrl, use one of these event handler macros to direct input to member function that take a wxFontPickerEvent argument:

EVT_FONTPICKER_CHANGED(id, func) | Generated whenever the selected font changes.

See also

wxFontPickerCtrl

Members

wxFontPickerEvent::wxFontPickerEvent
wxFontPickerEvent::GetFont
wxFontPickerEvent::SetFont

### wxFontPickerEvent::wxFontPickerEvent

wxFontPickerEvent(wxObject * generator, int id, const wxFont& font)

The constructor is not normally used by the user code.

### wxFontPickerEvent::GetFont

wxFont GetFont() const

Retrieve the font the user has just selected.

### wxFontPickerEvent::SetFont

void SetFont(const wxFont & f)

Set the font associated with the event.